<?php

namespace App\Wechat\Work;

class TextMessage extends Message
{

    protected $type;
    protected $attr;

    public function __construct($content)
    {
        parent::__construct();
        $this->type = self::TYPE_TEXT;
        $this->attr['content'] = $content;
    }

    public function toArray()
    {
        $arr = [
            'msgtype' => $this->type,
            $this->type => [
                'content' => $this->attr['content'],
            ],
            'safe' => $this->safe,
        ];

        if (!empty($this->params)) {
            $arr = array_merge($this->params, $arr);
        }

        return $arr;
    }

}